Index: /code/branches/OrxoKart_HS18/data/levels/includes/weaponSettingsHover.oxi
===================================================================
--- /code/branches/OrxoKart_HS18/data/levels/includes/weaponSettingsHover.oxi	(revision 12146)
+++ /code/branches/OrxoKart_HS18/data/levels/includes/weaponSettingsHover.oxi	(revision 12147)
@@ -7,5 +7,5 @@
   <WeaponSet firemode=1 />
 </weaponsets>
-<weaponpacks>
+<!--<weaponpacks>
   <WeaponPack>
     <links>
@@ -25,5 +25,5 @@
     </links>
   </WeaponPack>
-</weaponpacks>  
+</weaponpacks> --> 
 <munition>
   <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
Index: /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt
===================================================================
--- /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt	(revision 12146)
+++ /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt	(revision 12147)
@@ -3,5 +3,5 @@
   <SpaceShip
    hudtemplate            = spaceshiporxokarthud
-   camerapositiontemplate = spaceshiphovercameras
+   camerapositiontemplate = spaceshipcameras
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
@@ -22,12 +22,9 @@
    auxilaryThrust    = 300
    rotationThrust    = 50
-
-   jumpBoost = 30
-
    lift = 1;
    stallSpeed = 500;
 
    boostPower            = 30
-   boostPowerRate        = 1
+   boostPowerRate        = 100
    boostRate             = 5
    boostCooldownDuration = 10
@@ -39,5 +36,5 @@
   >
     <engines>
-      <MultiStateEngine position=" 0, 0, 0" template=spaceshiphoverengine />
+      <MultiStateEngine position=" 0, 0, 0" template=spaceshipengine />
     </engines>
     <attached>
@@ -66,27 +63,27 @@
   </SpaceShip>
 </Template>
-
-<Template name=spaceshiphovercameras defaults=0>
+ 
+<Template name=spaceshipcameras defaults=0>
   <SpaceShip>
     <camerapositions>
-      <CameraPosition position="0,8, 5" drag=true mouselook=true />
-      <CameraPosition position="0,8,5" yaw="180" drag=true mouselook=true />
+      <CameraPosition position="0,8, 5" drag=True mouselook=False />
+      <CameraPosition position="0,8,5" yaw="180" drag=True mouselook=False />
     </camerapositions>
   </SpaceShip>
 </Template>
 
-<Template name=spaceshiphoverengine baseclass=Engine>
+<Template name=spaceshipengine baseclass=Engine>
   <MultiStateEngine
    boostfactor    = 2
 
-   speedfront     = 200
+   speedfront     = 300
    speedback      =  40
    speedleftright =  40
    speedupdown    =  40
 
-   accelerationfront     = 500
-   accelerationbrake     = 500
+   accelerationfront     = 300
+   accelerationbrake     = 50
    accelerationback      =  125
-   accelerationleftright =  125
+   accelerationleftright =  0
    accelerationupdown    =  125
   >
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt	(revision 12146)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt	(revision 12147)
@@ -7,4 +7,5 @@
   ShroomHUD.cc
   TimeHUD.cc
+  KartController.cc
 )
 
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.cc
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.cc	(revision 12147)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.cc	(revision 12147)
@@ -0,0 +1,23 @@
+#include "KartController.h"
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+
+
+namespace orxonox
+{
+	RegisterClass(KartController);
+	
+	KartController::KartController(Context* context) : HumanController(context)
+	    {
+	        RegisterObject(KartController);
+	        this->controlPaused_ = false;
+        	KartController::localController_s = this;
+	    }
+
+	void KartController::yaw(const Vector2& value)
+    {
+    	orxout() << "TEST CONTROLlER" << endl;
+    }
+}
+
+
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h	(revision 12147)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h	(revision 12147)
@@ -0,0 +1,50 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Enis Mustafa
+ *
+ */
+
+/**
+    @file KartController.h
+    @brief Declaration of the KartController class.
+*/
+
+#ifndef _KartController_H__
+#define _KartController_H__
+
+#include "OrxoKartPrereqs.h"
+
+#include "controllers/HumanController.h"
+
+namespace orxonox
+{
+    
+    class _OrxoKartExport KartController : public HumanController
+    {
+        public:
+            KartController(Context* context);
+            virtual void yaw(const Vector2& value) override;
+    };
+}
+
+#endif /* _KartController_H__ */
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12146)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12147)
@@ -33,6 +33,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
+#include "controllers/HumanController.h"
 
 namespace orxonox
@@ -42,20 +42,18 @@
     OrxoKartKart::OrxoKartKart(Context* context) : SpaceShip(context)
     {
+
         RegisterObject(OrxoKartKart);
         enableCollisionCallback();
-        isFloor_ = false;
-        jumpBoost_ = 0;
     }
 
     void OrxoKartKart::moveFrontBack(const Vector2& value)
         { 
-            this->steering_.z -= value.x; 
-            orxout() << "mFB" << endl;
+            this->steering_.z -= value.x;
+            
         }
 
     void OrxoKartKart::moveRightLeft(const Vector2& value)
-        { 
+        {   
             this->rotateYaw(value);
-            orxout() << "mRL" << endl;
         }
 
@@ -63,20 +61,18 @@
         { 
             this->steering_.y += value.x; 
-            orxout() << "mUD" << endl;
+            
         }
 
     void OrxoKartKart::rotateYaw(const Vector2& value)
         {
-            this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);
-            //orxout() << value;
-            Pawn::rotateYaw(value);
+            this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);  
         }
 
     void OrxoKartKart::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(OrxoKartKart, XMLPort, xmlelement, mode);
+        {
+            SUPER(OrxoKartKart, XMLPort, xmlelement, mode);
+            
+        }
 
-        XMLPortParam(OrxoKartKart, "jumpBoost", setJumpBoost, getJumpBoost, xmlelement, mode);
-    }
 
     /**
@@ -94,38 +90,4 @@
     void OrxoKartKart::rotateRoll(const Vector2& value) { }
 
-    /**
-    @brief
-        Checks if the ship is touching the floor. The ship can only jump if there is contact with someting beneath it.
-    */
-    bool OrxoKartKart::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint)
-    {
-        SpaceShip::collidesAgainst(otherObject, cs, contactPoint);
-        //SUPER(OrxoKartKart, collidesAgainst, otherObject, cs, contactPoint);
 
-        if (contactPoint.m_normalWorldOnB.y() > 0.6
-            && this->getVelocity().y < 1) {
-            this->isFloor_ = true;
-        } else {
-            this->isFloor_ = false;
-        }
-
-        return false;
-    }
-
-    /**
-    @brief
-        Makes the ship jump
-    @param bBoost
-    */
-    void OrxoKartKart::boost(bool bBoost) {
-        if (bBoost && this->isFloor_)
-        {
-            this->setVelocity(
-                this->getVelocity().x,
-                jumpBoost_,
-                this->getVelocity().z
-                );
-            this->isFloor_ = false;
-        }
-    }
 }
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h	(revision 12146)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.h	(revision 12147)
@@ -46,11 +46,4 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            /// sets this ships jumpBoost
-            inline void setJumpBoost(float jumpBoost)
-                { this->jumpBoost_ = jumpBoost; }
-            /// returns this ships jumpBoost
-            inline float getJumpBoost() const
-                { return this->jumpBoost_; }
-
             virtual void moveFrontBack(const Vector2& value) override;
 
@@ -64,12 +57,4 @@
 
             virtual void rotateRoll(const Vector2& value) override;
-
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
-
-            virtual void boost(bool bBoost) override;
-
-        private:
-            float jumpBoost_;
-            bool isFloor_;
     };
 }
Index: /code/branches/OrxoKart_HS18/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- /code/branches/OrxoKart_HS18/src/orxonox/controllers/CMakeLists.txt	(revision 12146)
+++ /code/branches/OrxoKart_HS18/src/orxonox/controllers/CMakeLists.txt	(revision 12147)
@@ -21,4 +21,3 @@
   ArrowController.cc;
   AutonomousDroneController.cc;
-	
 )