Index: /code/branches/WorldMap_HS18/data/levels/MapExample.oxw
===================================================================
--- /code/branches/WorldMap_HS18/data/levels/MapExample.oxw	(revision 12152)
+++ /code/branches/WorldMap_HS18/data/levels/MapExample.oxw	(revision 12152)
@@ -0,0 +1,62 @@
+
+
+<LevelInfo
+ name = "MapExample"
+ description = "Shows a little map that should be understandable. Choose your level with right/left/space"
+ screenshot = "emptylevel.png"
+/>
+<!-- Some stuff which is needed to work -->
+<?lua
+  
+  include("templates/lodInformation.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("MapExampleHUD.oxo") 
+  include("stats.oxo")  
+  include("templates/MapExample.oxt")
+  
+?>
+<Level
+gametype = StoryMode
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+  <Scene
+    ambientlight = "0.2, 0.2, 0.2"
+    skybox       = "Orxonox/Starbox"
+  >
+    <!-- Here we initiate the Storymodecontroller which basically keeps track at which game we want to look at at the moment. 
+    The Controller has a model attached which is set to invisible, but it's needed as an anchor. We set the cameraposition inhere too. -->
+    <StoryModeController position="0,0,0" collisionType="dynamic" mass=42000000 >
+      <attached>
+        <Model position="0,0,0" mesh="assff.mesh" scale=20  visible="false" />
+      </attached>
+      <CameraPosition position="0,0,0" direction="0, -1, 0" drag=false />
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,1,10" />
+      </collisionShapes>
+    </StoryModeController>
+    <!-- Creates a few static entitys. Theire position will be important. Maybe you want to note them when you plan your own map. -->
+    <StaticEntity position="550,300,0" direction="0,0,-1" >
+      <attached>
+        <!-- Model 1: Will be linked to the model Map -->
+        <Billboard colour="1,0,0.05" position="0,0,0"  material="Flares/lensflare" scale=0.5 />
+        <Model position="0,0,20" mesh="ETH.mesh" scale=10  visible="true" lookat="550,300,21"/>
+        <!-- Model 2: linked to pong -->
+        <Billboard colour="1,1,0.05" position="50,0,0"  material="Flares/lensflare" scale=0.5 />
+        <Model position="50,0,20" mesh="PacmanGelb.mesh" scale=10  visible="true" lookat="100,0,20" />
+        <!-- Model 3: linked to Towerdefense -->
+        <Billboard colour="0,1,0.05" position="100,0,0"  material="Flares/lensflare" scale=0.5 />
+        <Model position="100,0,20"  lookat = "100,50,20" mesh="Tower.mesh" scale=10  visible="true" />
+        <!-- Model 4: linked to Orxobrows -->
+        <Billboard colour="1,1,1" position="150,0,0"  material="Flares/lensflare" scale=0.5 />
+        <Model position="150,0,20" mesh="orxo.mesh" scale=5 lookat="150,0,-120"  visible="true" />
+      </attached>
+    </StaticEntity>
+    <!-- some Stuff which is needed to work -->
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, 1" spawnclass=StoryModeController pawndesign=MapExample />
+  </Scene>
+</Level>
+
Index: /code/branches/WorldMap_HS18/data/levels/templates/MapExample.oxt
===================================================================
--- /code/branches/WorldMap_HS18/data/levels/templates/MapExample.oxt	(revision 12152)
+++ /code/branches/WorldMap_HS18/data/levels/templates/MapExample.oxt	(revision 12152)
@@ -0,0 +1,5 @@
+<Template name=MapExample>
+  <StoryModeController
+   hudtemplate            = MapExampleH
+  />
+</Template>
Index: /code/branches/WorldMap_HS18/data/overlays/MapExampleHUD.oxo
===================================================================
--- /code/branches/WorldMap_HS18/data/overlays/MapExampleHUD.oxo	(revision 12152)
+++ /code/branches/WorldMap_HS18/data/overlays/MapExampleHUD.oxo	(revision 12152)
@@ -0,0 +1,16 @@
+
+<Template name="MapExampleH">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+
+     <GUIOverlay
+      name = "CampaignMenu"
+      guiname = "CampaignMenu"
+      visible = "false"
+    />
+
+  </OverlayGroup>
+</Template>
+  <Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
Index: /code/branches/WorldMap_HS18/svn-commit.tmp
===================================================================
--- /code/branches/WorldMap_HS18/svn-commit.tmp	(revision 12152)
+++ /code/branches/WorldMap_HS18/svn-commit.tmp	(revision 12152)
@@ -0,0 +1,13 @@
+
+--This line, and those below, will be ignored--
+
+M    data/gui/layouts/CampaignMenu.layout
+M    data/gui/scripts/CampaignMenu.lua
+M    data/levels/NC_StoryModeLevel.oxw
+M    data/levels/StoryModeMap.oxw
+M    data/levels/StoryModeMapDev.oxw
+M    data/levels/templates/StoryMode.oxt
+M    src/modules/towerdefense/TowerDefense.cc
+M    src/modules/towerdefense/TowerDefenseSelecter.cc
+M    src/orxonox/controllers/StoryModeController.cc
+M    src/orxonox/controllers/StoryModeController.h