Index: code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo
===================================================================
--- code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12150)
+++ code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12157)
@@ -13,4 +13,14 @@
     />
 
+      <WagnisHUDinfo
+       name      = "descr1"
+       position  = "0.1, 0.20"
+       pickpoint = "0, 1"
+       font      = "Monofur"
+       caption   = "player name"
+       colour    = "1, 1, 1, 1"
+       textsize  = 0.04
+      />
+
   </OverlayGroup>
 </Template>
Index: code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12150)
+++ code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12157)
@@ -5,4 +5,5 @@
   Wagnis.cc
   WagnisHUD.cc
+  WagnisHUDinfo.cc
 )
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12150)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12157)
@@ -44,5 +44,4 @@
         WagnisGameboard* gameBoard;
 
-        private:
         int active_player;
         int initial_reinforcements_left;
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12157)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12157)
@@ -0,0 +1,68 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Florian Zinggeler
+ *
+ */
+
+#include "WagnisHUDinfo.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Convert.h"
+#include <string>
+
+namespace orxonox
+{
+    RegisterClass(WagnisHUDinfo);
+
+    WagnisHUDinfo::WagnisHUDinfo(Context* context) : OverlayText(context)
+    {
+        RegisterObject(WagnisHUDinfo);
+
+        this->wagnisgame = nullptr;
+        this->bShow_ = false;
+    }
+
+    void WagnisHUDinfo::tick(float dt)
+    {
+        SUPER(WagnisHUDinfo, tick, dt);
+        if(wagnisgame==nullptr){
+            findWagnis();
+        }
+        std::stringstream ss;
+        switch(wagnisgame->gameStage){
+            case CHOOSE_PROVINCE_STAGE: {
+                ss<<"Player"<<wagnisgame->active_player;
+                setCaption( ss.str() );
+                break;
+            }
+        }
+    }
+    void WagnisHUDinfo::findWagnis(){
+    for (Wagnis* gb : ObjectList<Wagnis>()){
+        this->wagnisgame = gb;
+        orxout()<<"Wagnis pointer found and added"<<endl;
+        return;
+    }
+}
+}
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h	(revision 12157)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h	(revision 12157)
@@ -0,0 +1,49 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Florian Zinggeler
+ *
+ */
+
+#ifndef _WagnisHUDinfo_H__
+#define _WagnisHUDinfo_H__
+
+#include "tools/interfaces/Tickable.h"
+#include "overlays/OverlayText.h"
+#include "WagnisPrereqs.h"
+#include "Wagnis.h"
+
+namespace orxonox
+{
+    class WagnisHUDinfo : public OverlayText, public Tickable
+    {
+        public:
+            WagnisHUDinfo(Context* context);
+
+            virtual void tick(float dt) override;
+            void findWagnis();
+        private:
+            Wagnis* wagnisgame;
+            bool bShow_;
+    };
+}
+#endif /* _WagnisHUDinfo_H__ */
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h	(revision 12150)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPrereqs.h	(revision 12157)
@@ -70,4 +70,6 @@
     class WagnisGameboard;
     class WagnisPlayer;
+    class WagnisHUD;
+    class WagnisHUDinfo;
     enum GameStage { NOT_READY, CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
     enum MoveType { ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL };