Index: code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo
===================================================================
--- code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12158)
+++ code/branches/wagnis_HS18/data/overlays/WagnisHUD.oxo	(revision 12159)
@@ -15,5 +15,5 @@
       <WagnisHUDinfo
        name      = "descr1"
-       position  = "0.1, 0.20"
+       position  = "0.2, 0.1"
        pickpoint = "0, 1"
        font      = "Monofur"
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.cc	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.cc	(revision 12159)
@@ -21,10 +21,5 @@
  *
  *   Author:
- *      Felix Schulthess
- *   Co-authors:
- *      Reto Grieder
- *      Oliver Scheuss
- *      Matthias Spalinger
- *
+ *      Roman Kunz
  */
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.h	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUD.h	(revision 12159)
@@ -21,8 +21,6 @@
  *
  *   Author:
- *      Felix Schulthess
- *   Co-authors:
- *      Reto Grieder
- *      Matthias Spalinger
+ *      Roman Kunz
+
  *
  */
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12159)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Roman Kunz
  *
  */
@@ -50,5 +50,25 @@
             findWagnis();
         }
-    enum GameStage { NOT_READY, CHOOSE_PROVINCE_STAGE, REINFORCEMENT_STAGE, ATTACK_STAGE, MOVE_STAGE };
+        switch(wagnisgame->active_player){
+            case 1: setColour( colour({255,0,0}, 100.0f) );
+                    break;
+            case 2: setColour( colour({0,255,0}, 100.0f) );
+                    break;
+            case 3: setColour( colour({255,255,0}, 100.0f) );
+                    break;
+            case 4: setColour( colour({0,0,255}, 100.0f) );
+                    break;
+            case 5: setColour( colour({255,0,255}, 100.0f) );
+                    break;
+            case 6: setColour( colour({128,128,0}, 40.0f) );
+                    break;
+            case 7: setColour( colour({0,255,255}, 100.0f) );
+                    break;
+            case 8: setColour( colour({153,255,204}, 100.0f) );
+                    break;
+            case 9: setColour( colour({102,51,0}, 100.0f) );
+                    break;
+        }
+
         std::stringstream ss;
         switch(wagnisgame->gameStage){
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.h	(revision 12159)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Roman Kunz
  *
  */
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12159)
@@ -73,4 +73,12 @@
 
     }
+    //highlight a province
+    void WagnisProvince::highlight(){
+        this->setRadarObjectColour( colour({255,255,255}, 100.0f) );
+    }
+    //dehighlight a province
+    void WagnisProvince::dehighlight(){
+        this->setOwner_ID( this->getOwner_ID() );
+    }
     //set troops
     void WagnisProvince::setTroops(int troops){
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12158)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12159)
@@ -32,4 +32,6 @@
         void setID(int);
         void setContinent(int);
+        void highlight();
+        void dehighlight();
 
         int getOwner_ID() const;