Index: code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw
===================================================================
--- code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12159)
+++ code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12160)
@@ -32,5 +32,5 @@
     <SpawnPoint position="-100, 45, 75" lookat="0,45,75" spawnclass=SpaceShip pawndesign=wagnisCursor />
 
-<WagnisGameboard position="20,20,20" connections_string="1=2+4+5, 2=1+3, 3=2+4, 4=3+1, 5=1+6, 6=7+5, 7=6+8, 8=7">
+<WagnisGameboard position="20,20,20" connections_string="2=1+3,1=2+4+5,3=2+4,4=3+1,5=1+6,6=7+5,7=6+8,8=7">
 
 
@@ -100,5 +100,5 @@
     </WagnisProvince>
 
-    <WagnisProvince ID="8" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((130))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+    <WagnisProvince ID="8" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((120))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
@@ -109,5 +109,5 @@
     </WagnisProvince>
 
-    <WagnisProvince ID="1000" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50+7))?>,<?lua print((135-6))?>" pitch=90 rotationrate="0" rotationaxis="0,0,0">
+    <WagnisProvince ID="1000" radarname="continue" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((45))?>,<?lua print((135))?>" pitch=90 rotationrate="0" rotationaxis="0,0,0">
       <attached>
         <Model position="0,0,0" mesh="broke-satellite.mesh" scale3D="3,3,3" />
@@ -122,13 +122,4 @@
 </WagnisGameboard>
 
-<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-<MovableEntity position="0,0,0">
-    <attached>
-        <Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-    </attached>
-</MovableEntity>
-
-
-
     
   </Scene>
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12160)
@@ -64,4 +64,6 @@
  **/
 void Wagnis::playerFinishedStageCallback(WagnisPlayer* player){
+
+    player->resetProvinceSelection();
 
     if(this->active_player != player->Player_ID){
@@ -132,4 +134,5 @@
             player->gameStage = ATTACK_STAGE;
             this->gameStage = ATTACK_STAGE;
+            player->reinforcements = provincesOfPlayerCounter(player->Player_ID);
             orxout()<<"Player "<<player->Player_ID<<"\'s turn. Attack."<<endl;
             break;
@@ -170,9 +173,5 @@
     }
 
-    //this->gameBoard->initializeNeighbors();
-
-    //for(WagnisPlayer* p: this->players){
-        //this->playerEntered(p);
-    //}
+    this->gameBoard->initializeNeighbors();
     
     orxout() << "Game creation finished" << endl;
@@ -198,5 +197,5 @@
             }
         }else{
-            orxout()<<"Nullpointer found in provines!!!"<<endl;
+            orxout()<<"Nullpointer found in provinces!!!"<<endl;
         }
     }
@@ -212,5 +211,5 @@
             }
         }else{
-            orxout()<<"Nullpointer found in provines!!!"<<endl;
+            orxout()<<"Nullpointer found in provinces!!!"<<endl;
         }
     }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12160)
@@ -64,4 +64,5 @@
         orxout() << "String size:" << endl;
         orxout() << str.size() << endl;
+        orxout() << str<<endl;
         unsigned int n = 0;
         while(n < str.size()){
@@ -85,12 +86,12 @@
                             if(other->getID() == other_ID){
                                 orig->addNeighbor(other);
-                                orxout() << "Added neighbor province "<< other_ID << " to province " << origin_ID << endl;
+                                //orxout() << "Added neighbor province "<< other_ID << " to province " << origin_ID << endl;
                                 break;
                             }
                         }
                     }
-                    break;
                 }
             }while((n < str.size()) && (str[n] == '+'));
+
             if(n == str.size()) return;
             while((n < str.size()) && (str[n] == ' ')) n++;
@@ -102,4 +103,5 @@
             n++;
             while(n < str.size() && str[n] == ' ') n++;
+            orxout()<<"One province finished"<<endl;
         }
     }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12160)
@@ -79,5 +79,5 @@
             }
             case REINFORCEMENT_STAGE: {
-                ss<<"Player "<<wagnisgame->active_player<<" place your reinforcements";
+                ss<<"Player "<<wagnisgame->active_player<<" place your reinforcements: "<<wagnisgame->players.at(wagnisgame->active_player-1)->reinforcements;
                 setCaption( ss.str() );
                 break;
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12160)
@@ -47,5 +47,7 @@
                         this->province_selection_changed = true;
                     }else{
+                        if(this->origin_province != nullptr) this->origin_province->dehighlight();
                         this->origin_province = prov;
+                        this->origin_province->highlight();
                         this->province_selection_changed = true;
                     }
@@ -82,4 +84,5 @@
                                 this->reinforcements -= 1;
                                 orxout()<<"Province "<<this->target_province->getID()<<" owned by Player "<<this->target_province->getOwner_ID()<<" troops: "<<this->target_province->getTroops()<<endl;
+                                if(reinforcements == 0) master->playerFinishedStageCallback(this);
                             }
                         }   
@@ -351,3 +354,12 @@
         return this->is_active;
     }
+
+    //Resets the two province pointers and dehighlights them.
+    void WagnisPlayer::resetProvinceSelection(){
+
+        if(this->origin_province != nullptr)this->origin_province->dehighlight();
+        if(this->target_province != nullptr)this->target_province->dehighlight();
+        this->origin_province = nullptr;
+        this->target_province = nullptr;
+    }
 }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12160)
@@ -38,4 +38,5 @@
         void setActive(bool);
         bool isActive() const;
+        void resetProvinceSelection();
 
 
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12159)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12160)
@@ -20,5 +20,5 @@
         this->owner_ID = -1;
         this->troops = 0;
-        this->setRadarName(std::to_string(0));
+        this->setRadarName("");
         this->setRadarObjectColour(colour({128,128,128}, 100.0f));
         this->ID = -1;
@@ -81,4 +81,8 @@
         this->setOwner_ID( this->getOwner_ID() );
     }
+
+
+
+    
     //set troops
     void WagnisProvince::setTroops(int troops){