Index: code/branches/WorldMap_HS18/ToDo
===================================================================
--- code/branches/WorldMap_HS18/ToDo	(revision 12152)
+++ 	(revision )
@@ -1,10 +1,0 @@
-CMAKE Plugin
-
-ORXONOX_ADD_LIBRARY(superorxobros
-  PLUGIN
-  FIND_HEADER_FILES
-  LINK_LIBRARIES
-    orxonox
-    overlays
-  SOURCE_FILES ${SOB_SRC_FILES}
-)
Index: code/branches/WorldMap_HS18/data/levels/StoryModeMapDev.oxw
===================================================================
--- code/branches/WorldMap_HS18/data/levels/StoryModeMapDev.oxw	(revision 12152)
+++ 	(revision )
@@ -1,102 +1,0 @@
-
-
-<LevelInfo
- name = "StoryModeMapDev"
- description = "DEVDEVDEV"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("StoryModeHUD.oxo")
-  include("templates/lodInformation.oxt")
-  include("templates/spaceshipAssff.oxt")
-  include("templates/StoryMode.oxt")
-?>
-
-<Level
-gametype = StoryMode
->
-
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-
-  <Template name=selectertemplate>
-  <StoryModeController team=0>
-    <attache>
-     <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
-   </attache>
- </StoryModeController>
-</Template>
-
-  <?lua include("includes/notifications.oxi") ?>
-<?lua
-  include("templates/spaceshipEscort.oxt")
-?>
-  <Scene
-    ambientlight = "0.2, 0.2, 0.2"
-    skybox       = "Orxonox/Starbox"
-  >
-
-
-    <StaticEntity position="0,0,0" direction="0,0,-1" >
-      <attached>
-
-        <Model name="a" position="600,370,0" mesh="planets/moon.mesh" scale=100 visible="false" />
-         
-        
-        <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
-        <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
-        <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
-       
-
-        <Model position="100,350,-250" mesh="planets/moon.mesh" scale=100  visible="false"/>
-         <Model position="50,300,-250" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
-        <Billboard colour="1,1,0.05" position="100,350,-330"  material="Flares/lensflare" scale=4.5 />
-
-        <Model position="-600,250,-500" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="-600,250,-580"  material="Flares/lensflare" scale=5 />
-
-        <Model position="-1000,50,-750" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="-1000,50,-830"  material="Flares/lensflare" scale=5 />
-
-        <Model position="-900,-400,-1000" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="-900,-400,-1080"  material="Flares/lensflare" scale=5 />
-
-        <Model position="-500,-700,-1250" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="-500,-700,-1330"  material="Flares/lensflare" scale=5 />
-
-        <Model position="0,-900,-1500" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="0,-900,-1580" material="Flares/lensflare" scale=5 />
-
-        <Model position="700,-1100,-1750" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="700,-1100,-1830"  material="Flares/lensflare" scale=5 />
-
-        <Model position="1500,-1300,-2000" mesh="planets/moon.mesh" scale=100 />
-        <Billboard colour="1,1,0.05" position="1500,-1300,-2080"  material="Flares/lensflare" scale=5 />
-
-      </attached>
-    </StaticEntity>
-    
-
-<SpaceShip position="550,300,0" lookat="0,0,0" team=3 scale=10>
-    <templates>
-        <Template link=spaceshipescort />
-    </templates>
-    <controller>
-        
-    </controller>
-</SpaceShip>
-
-
-
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-
-    <SpawnPoint position="000.000, 000.000, 1000.000" orientation="0, 0, 0, -1" pawndesign=StoryMode />
-    
-    
-  </Scene>
-</Level>
-
Index: code/branches/WorldMap_HS18/path.txt
===================================================================
--- code/branches/WorldMap_HS18/path.txt	(revision 12152)
+++ 	(revision )
@@ -1,1 +1,0 @@
-SingleplayerMenu.lua  --> StorzModeMap.oxw --> loads stats.oxo (overlaz zdesign), storyModehud.oxo (loads Gui overlay CampaignMenu), lodinformation.oxt, storymode.oxt (StoryModeMap template)