Index: /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt
===================================================================
--- /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt	(revision 12167)
+++ /code/branches/OrxoKart_HS18/data/levels/templates/OrxoKartKart.oxt	(revision 12168)
@@ -31,7 +31,7 @@
 
    collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.2
-   angularDamping    = 0.9999999
+   mass              = 2000
+   linearDamping     = 0.5
+   angularDamping    = 0.999
   >
     <engines>
@@ -40,7 +40,5 @@
     <attached>
       <Model position="0,0,-20" mesh="hovership_body.mesh" scale="5" yaw=180/>	
-      <Model position="0,0,-20" mesh="hovership_engine.mesh" scale="5" yaw=180/>	
-      <Model position="0,0,-20" mesh="hovership_gun.mesh" scale="5" yaw=180/>	
-      
+      <Model position="0,0,-20" mesh="hovership_engine.mesh" scale="5" yaw=180/>	      
     </attached>
     <collisionShapes>
@@ -57,8 +55,4 @@
       <ExplosionPart mesh="explosionparts/pirate_part_4.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
-
-<?lua
-  include("../includes/weaponSettingsHover.oxi")
-?>
   </SpaceShip>
 </Template>
Index: /code/branches/OrxoKart_HS18/data/tcl/orxokart_highscores.txt
===================================================================
--- /code/branches/OrxoKart_HS18/data/tcl/orxokart_highscores.txt	(revision 12167)
+++ /code/branches/OrxoKart_HS18/data/tcl/orxokart_highscores.txt	(revision 12168)
@@ -14,3 +14,6 @@
 Name: 0:21:87s
 Name: 0:50:45s
-Name: 0:26:64s
+Name: 0:27:45s
+Name: 0:33:17s
+Name: 0:31:46s
+Name: 0:25:40s
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h	(revision 12167)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/KartController.h	(revision 12168)
@@ -34,5 +34,4 @@
 
 #include "OrxoKartPrereqs.h"
-
 #include "controllers/HumanController.h"
 
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12167)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12168)
@@ -163,15 +163,15 @@
         }
         else {
-            orxout() << " Should not happen, look in OrxoKart.cc";
+            //orxout() << " Should not happen, look in OrxoKart.cc";
         }
 
 
 
-        	orxout() << numberOfShrooms << endl;
+        	//orxout() << numberOfShrooms << endl;
 
 
         // Check if ship collided with the flag, flag is the bottom that is responsible for the game to detect the spaceship falling.
         if(flag_->getCollided()){
-        	orxout() << numberOfShrooms << endl;
+        	//orxout() << numberOfShrooms << endl;
             player = flag_->getObjectofCollision();
             if (level == 1)
@@ -187,5 +187,5 @@
 
         if (player && player->isBoosting()) {
-        	orxout() << "Boosting" << endl;
+        	//orxout() << "Boosting" << endl;
         	if(!numberOfShrooms) numberOfShrooms--;
         }
Index: /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc
===================================================================
--- /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12167)
+++ /code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartKart.cc	(revision 12168)
@@ -33,16 +33,17 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
-#include "controllers/HumanController.h"
-
+#include "KartController.h"
 namespace orxonox
 {
     RegisterClass(OrxoKartKart);
 
+    void ControllableEntity::rotateYaw(const Vector2& value)
+    {
+        orxout() << "TEST CONTROLlER" << endl;
+    }
+
     OrxoKartKart::OrxoKartKart(Context* context) : SpaceShip(context)
     {
-
         RegisterObject(OrxoKartKart);
-        enableCollisionCallback();
     }
 
@@ -66,4 +67,5 @@
     void OrxoKartKart::rotateYaw(const Vector2& value)
         {
+            
             this->localAngularAcceleration_.setY(this->localAngularAcceleration_.y() - value.x);  
         }