Index: /code/branches/wagnis_HS18/data/levels/Wagnis.oxw
===================================================================
--- /code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12168)
+++ /code/branches/wagnis_HS18/data/levels/Wagnis.oxw	(revision 12169)
@@ -1,6 +1,6 @@
 <LevelInfo
- name = "Wagnis"
+ name = "Wagnis_testlevel"
  description = "A clone of the iconic Risk."
- tags = "minigame"
+ tags = ""
  screenshot = "emptylevel.png"
 />
@@ -9,32 +9,9 @@
   include("stats.oxo")
   include("HUDTemplates3.oxo")
+  include("WagnisHUD.oxo")
   include("templates/lodInformation.oxt")
+  include("templates/wagnisCursor.oxt")
+  include("includes/notifications.oxi")
 ?>
-
-<?lua
-  include("templates/wagnisCursor.oxt")
-?>
-
-<!--
-<Template name=pongbatcameras defaults=0>
-  <PongBat>
-    <camerapositions>
-      <CameraPosition position="0,150,0" pitch=-90 absolute=true />
-      <CameraPosition position="0,50,160" drag=true mouselook=true />
-      <CameraPosition position="0,40,125" drag=true mouselook=true />
-      <CameraPosition position="0,30, 90" drag=true mouselook=true />
-    </camerapositions>
-  </PongBat>
-</Template>
-
-<Template name=pongbat>
-  <PongBat camerapositiontemplate=pongbatcameras>
-    <attached>
-      <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
-      <-Model roll=180 mesh="pongbat.mesh" scale=0.045 /->
-    </attached>
-  </PongBat>
-</Template> -->
-
 
 <Level plugins="wagnis" gametype="Wagnis">
@@ -42,5 +19,4 @@
     <Template link=lodtemplate_default />
   </templates>
-  <?lua include("includes/notifications.oxi") ?>
 
   <Scene
@@ -52,87 +28,93 @@
     <SpawnPoint position="-100, 45, 75" lookat="0,45,75" spawnclass=SpaceShip pawndesign=wagnisCursor />
 
-<WagnisGameboard position="20,20,20" connections_string="1=2+1000, 2=1, 1000=1">
+<WagnisGameboard position="20,20,20" connections_string="2=1+3,1=2+4+5,3=2+4,4=3+1,5=1+6,6=7+5,7=6+8,8=7">
 
 
   <Provinces>
 
-    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((10+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,3,8" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
         <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
       </attached>
       <collisionShapes>
-        <SphereCollisionShape   position="0,0,0" radius="2" />
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
       </collisionShapes>
     </WagnisProvince>
 
-    <WagnisProvince ID="1000" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=dynamic mass=100 continent="1" position="0,<?lua print((50+7))?>,<?lua print((135-6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+    <WagnisProvince ID="2" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,8,0" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
       <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="3,3,3" />
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
       </attached>
       <collisionShapes>
-        <SphereCollisionShape   position="0,0,0" radius="2" />
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="3" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,11,12" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="4" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,18,5" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="5" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,17,21" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="6" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((110))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="7" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((120))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="8" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((120))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
+      <attached>
+        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
+      </collisionShapes>
+    </WagnisProvince>
+
+    <WagnisProvince ID="1000" radarname="continue" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((45))?>,<?lua print((135))?>" pitch=90 rotationrate="0" rotationaxis="0,0,0">
+      <attached>
+        <Model position="0,0,0" mesh="broke-satellite.mesh" scale3D="3,3,3" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
       </collisionShapes>
     </WagnisProvince>
   
-<!--
-    <WagnisProvince ID="2" continent="1" position="0,<?lua print((10-7))?>,<?lua print((135-10))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
 
-    <WagnisProvince ID="3" continent="1" position="0,<?lua print((10+15))?>,<?lua print((135+7))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-
-    <WagnisProvince ID="4" continent="1" position="0,<?lua print((10+6))?>,<?lua print((135+14))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-
-    <WagnisProvince ID="5" continent="1" position="0,<?lua print((10))?>,<?lua print((135+6))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-
-
-
-
-
-
-    <WagnisProvince ID="6" continent="2" position="0,<?lua print((40-15))?>,<?lua print((90+28))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-
-    <WagnisProvince ID="7" continent="2" position="0,<?lua print((40-19))?>,<?lua print((90+19))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-
-
-    <WagnisProvince ID="1000" continent="1" position="0,90,150" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-    </WagnisProvince>
-  -->
   </Provinces>
 </WagnisGameboard>
-
-<Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
-<MovableEntity position="0,0,0">
-    <attached>
-        <Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-    </attached>
-</MovableEntity>
-
-
 
     
Index: /code/branches/wagnis_HS18/src/modules/weapons/weaponmodes/WagnisGun.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/weapons/weaponmodes/WagnisGun.cc	(revision 12168)
+++ /code/branches/wagnis_HS18/src/modules/weapons/weaponmodes/WagnisGun.cc	(revision 12169)
@@ -49,5 +49,5 @@
         RegisterObject(WagnisGun);
 
-        this->reloadTime_ = 0.1f;
+        this->reloadTime_ = 0.5f;
         this->damage_ = 0.0f; //default 15
         this->speed_ = 800.0f;