Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12170)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.cc	(revision 12172)
@@ -17,7 +17,6 @@
     this->active_player = 1;
     this->initial_reinforcements_left = 2; //changed here
-    this->empty_provinces_left = 0;
-
-    int n = 3;
+
+    int n = 6;
     for(int i = 0;i < n;i++){
         WagnisPlayer* p = new WagnisPlayer(context);
@@ -43,5 +42,4 @@
 
     this->gameStage = CHOOSE_PROVINCE_STAGE;
-    this->empty_provinces_left = this->provinceCount();
     this->players.at(0)->gameStage = this->gameStage;
     this->players.at(0)->setActive(true);
@@ -73,8 +71,6 @@
         case CHOOSE_PROVINCE_STAGE:{
             player->setActive(false);
-            this->empty_provinces_left -= 1;
-            if(this->empty_provinces_left > 0){
+            if(this->unoccupiedProvinces() > 0){
                 //Still empty provinces left
-                orxout()<<"DEBUG: Empty provs: "<<this->empty_provinces_left<<endl;
 
                 if(this->active_player < this->players.size()){
@@ -91,5 +87,4 @@
             }else{
                 //no empty provinces left
-                orxout()<<"DEBUG: Empty provs: "<<this->empty_provinces_left<<endl;
                 this->active_player = 1;
                 WagnisPlayer* next = this->players[this->active_player - 1];
@@ -222,4 +217,16 @@
 }
 
+int Wagnis::unoccupiedProvinces(){
+    int n = 0;
+    for(WagnisProvince* p: this->gameBoard->provs){
+        if(p != nullptr){
+            if(p->getOwner_ID() == -1 && p->ID < 1000){
+                n++;
+            }
+        }
+    }
+    return n;
+}
+
 int Wagnis::reinforcementsCounter(int player){
     int n = 0;
Index: code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12170)
+++ code/branches/wagnis_HS18/src/modules/wagnis/Wagnis.h	(revision 12172)
@@ -46,5 +46,4 @@
         int active_player;
         int initial_reinforcements_left;
-        int empty_provinces_left;
         GameStage gameStage;
         std::vector<WagnisPlayer*> players;
@@ -54,4 +53,5 @@
         int reinforcementsCounter(int);
         int getContinentValue(int);
+        int unoccupiedProvinces();
     };
 }
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12170)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisHUDinfo.cc	(revision 12172)
@@ -61,7 +61,7 @@
             case 5: setColour( colour({255,0,255}, 100.0f) );
                     break;
-            case 6: setColour( colour({128,128,0}, 40.0f) );
+            case 6: setColour( colour({0,255,255}, 40.0f) );
                     break;
-            case 7: setColour( colour({0,255,255}, 100.0f) );
+            case 7: setColour( colour({128,128,0}, 100.0f) );
                     break;
             case 8: setColour( colour({153,255,204}, 100.0f) );
Index: code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12170)
+++ code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12172)
@@ -62,7 +62,7 @@
             case 5: this->setRadarObjectColour( colour({255,0,255}, 100.0f) );
                     break;
-            case 6: this->setRadarObjectColour( colour({128,128,0}, 40.0f) );
+            case 6: this->setRadarObjectColour( colour({0,255,255}, 100.0f) );
                     break;
-            case 7: this->setRadarObjectColour( colour({0,255,255}, 100.0f) );
+            case 7: this->setRadarObjectColour( colour({128,128,0}, 100.0f) );
                     break;
             case 8: this->setRadarObjectColour( colour({153,255,204}, 100.0f) );