Index: de/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw
===================================================================
--- /code/branches/wagnis_HS18/data/levels/Wagnis_testlevel.oxw	(revision 12173)
+++ 	(revision )
@@ -1,131 +1,0 @@
-<LevelInfo
- name = "Wagnis_testlevel"
- description = "A clone of the iconic Risk."
- tags = ""
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("WagnisHUD.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/wagnisCursor.oxt")
-?>
-
-
-<Level plugins="wagnis" gametype="Wagnis">
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/skyBoxBasic"
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint position="-100, 45, 75" lookat="0,45,75" spawnclass=SpaceShip pawndesign=wagnisCursor />
-
-<WagnisGameboard position="20,20,20" connections_string="2=1+3,1=2+4+5,3=2+4,4=3+1,5=1+6,6=7+5,7=6+8,8=7">
-
-
-  <Provinces>
-
-    <WagnisProvince ID="1" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((70))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="2" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((70))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="3" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((60))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="4" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((60))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="5" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((100))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="6" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((110))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="7" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((50))?>,<?lua print((120))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="8" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((40))?>,<?lua print((120))?>" rotationrate="<?lua print(math.random() * 50) ?>" rotationaxis="<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>,<?lua print((math.random()-1)*5)?>">
-      <attached>
-        <Model position="0,0,0" mesh="ast1.mesh" scale3D="1.4,1.4,1.4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-
-    <WagnisProvince ID="1000" radarname="continue" health = 10000000 maxhealth = 10000000 initialhealth = 10000000 collisionType=kinematic mass=100 continent="1" position="0,<?lua print((45))?>,<?lua print((135))?>" pitch=90 rotationrate="0" rotationaxis="0,0,0">
-      <attached>
-        <Model position="0,0,0" mesh="broke-satellite.mesh" scale3D="3,3,3" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="3,3,3" /> 
-      </collisionShapes>
-    </WagnisProvince>
-  
-
-  </Provinces>
-</WagnisGameboard>
-
-<Billboard position="0,45,75" amplitude=1 material="Wagnis/Background" colour="1,1,1">
-
-</Billboard>
-
-    
-  </Scene>
-</Level>
-